MCP Tools Reference: paydeveloper.googleapis.com

工具:validate_pass_jwt

验证通行卡的 JWT 表示法,或作为通行卡的 JSON 字符串的未编码 JWT 载荷。

以下示例演示了如何使用 curl 调用 validate_pass_jwt MCP 工具。

Curl 请求
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "validate_pass_jwt",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

输入架构

用于验证通行卡的 JWT 表示法或作为通行卡的 JSON 字符串的未编码 JWT 载荷的请求消息。

ValidatePassJwtRequest

JSON 表示法
{

  // Union field resource can be only one of the following:
  "passJwt": string,
  "passJson": string
  // End of list of possible types for union field resource.
}
字段
联合字段 resource。要验证的资源。必须设置其中一个。resource 只能是下列其中一项:
passJwt

string

表示 JWT 的字符串,其格式如下:https://developers.google.com/wallet/reference/rest/v1/Jwt

passJson

string

表示通行卡的未编码 JWT 载荷的 JSON 字符串,其格式如下:https://developers.google.com/wallet/reference/rest/v1/Jwt。您可以将其设置为此链接中所述的整个 JSON 表示法,也可以仅设置为包含相关通行卡类和对象的载荷字段的内容。

输出架构

用于验证通行卡的 JWT 表示法或作为通行卡的 JSON 字符串的未编码 JWT 载荷的响应消息。

工具注释

破坏性提示:❌ | 等幂性提示:✅ | 只读提示:✅ | 开放世界提示:❌